-- Code created by Kwik - Copyright: kwiksher.com 
-- Version: 2.beta4a 
module(..., package.seeall) 

function new() 

    local physics = require "physics" 
    physics.start(true) 

    local numPages = 3 
    local menuGroup = display.newGroup() 
    local dispose 
    local _W = 1024 
    local _H = 768 

    -- Audio callings 
    local kwk_readMeFile = audio.loadStream( audioDir.."page2.mp3" ) 


    local drawScreen = function() 

       -- (TOP) External code will render here 

       local curPage = 2 

       Navigation.new("page", { backColor = {255, 255, 255}, totPages = numPages, curPage = curPage, thumbW = 120, thumbH = 90, alpha = 0.8, imageDir = imgDir, dire = "top", audio={{ 1, "kwk_readMeFile"},} } ) 
       Navigation.hide() 

       if (_G.kBookmark == 1) then 
          local path = system.pathForFile( "book.txt", system.DocumentsDirectory ) 
          local file = io.open( path, "w+" ) 
          file:write ( curPage.."\n1" ) 
          io.close( file ) 
       end 

        if (_G.kAutoPlay > 0) then 
          local function act_autoPlay (event) 
             if(curPage < numPages) then 
                if(_G.kBidi == false) then  
                   dispose(); director:changeScene( "page_"..curPage+1, "moveFromRight" ) 
                else  
                   dispose(); director:changeScene( "page_"..curPage-1, "moveFromLeft" ) 
                end  
             end 
          end 
          timerStash.timer_AP = timer.performWithDelay( _G.kAutoPlay*1000, act_autoPlay, 1 ) 
       end 

        local bg  
       local ramp  
       local ball  
       local square  
       local kwkNav  
       local kwkBack  
       local kwkNext  
       local text  

       -- Button names 
       local navBtn
       local backBtn
       local nextBtn

       -- bg positioning 
       bg = display.newImageRect( imgDir.. "p2_bg.png", 1024, 768 ); 
       bg.x = 512; bg.y = 384; bg.alpha = 1; bg.oldAlpha = 1 
       menuGroup:insert(bg); menuGroup.bg = bg 

       -- ramp positioning 
       ramp = display.newImageRect( imgDir.. "p2_ramp.png", 382, 179 ); 
       ramp.x = 520; ramp.y = 678; ramp.alpha = 1; ramp.oldAlpha = 1 
       menuGroup:insert(ramp); menuGroup.ramp = ramp 

       -- ball positioning 
       ball = display.newImageRect( imgDir.. "p2_ball.png", 108, 108 ); 
       ball.x = 447; ball.y = 321; ball.alpha = 1; ball.oldAlpha = 1 
       menuGroup:insert(ball); menuGroup.ball = ball 

       -- square positioning 
       square = display.newImageRect( imgDir.. "p2_square.png", 111, 111 ); 
       square.x = 681; square.y = 296; square.alpha = 1; square.oldAlpha = 1 
       menuGroup:insert(square); menuGroup.square = square 

       -- kwkNav positioning 
       kwkNav = display.newImageRect( imgDir.. "kwknav.png", 232, 80 ); 
       kwkNav.x = 401; kwkNav.y = 719; kwkNav.alpha = 1; kwkNav.oldAlpha = 1 
       menuGroup:insert(kwkNav); menuGroup.kwkNav = kwkNav 

       -- kwkBack positioning 
       kwkBack = display.newImageRect( imgDir.. "kwkback.png", 112, 107 ); 
       kwkBack.x = 63; kwkBack.y = 706; kwkBack.alpha = 1; kwkBack.oldAlpha = 1 
       menuGroup:insert(kwkBack); menuGroup.kwkBack = kwkBack 

       -- kwkNext positioning 
       kwkNext = display.newImageRect( imgDir.. "kwknext.png", 112, 107 ); 
       kwkNext.x = 956; kwkNext.y = 706; kwkNext.alpha = 1; kwkNext.oldAlpha = 1 
       menuGroup:insert(kwkNext); menuGroup.kwkNext = kwkNext 

       -- text positioning 
       local text_txt = { 
            {start =  58.05, out = 278.639, dur = 0, name = "Here"},  
            {start =  301.859, out = 388.934, dur = 0, name = "is"},  
            {start =  409.252, out = 487.619, dur = 0, name = "an"},  
            {start =  487.619, out = 1039.093, dur = 0, name = "example"},  
            {start =  1039.093, out = 1169.705, dur = 0, name = "of"},  
            {start =  1169.705, out = 1692.154, dur = 0, name = "physics"},  
            {start =  1692.154, out = 1933.061, dur = 0, name = "that"},  
            {start =  1933.061, out = 2025.941, dur = 0, name = "can"},  
            {start =  2025.941, out = 2147.846, dur = 0, name = "be"},  
            {start =  2147.846, out = 2856.054, dur = 0, name = "utilized.", newline = true},  
            {start =  3564.263, out = 3773.243, dur = 0, name = "Drag"},  
            {start =  3773.243, out = 3854.512, dur = 0, name = "and"},  
            {start =  3854.512, out = 4098.322, dur = 0, name = "drop"},  
            {start =  4098.322, out = 4214.422, dur = 0, name = "the"},  
            {start =  4214.422, out = 4464.036, dur = 0, name = "ball"},  
            {start =  4464.036, out = 4585.941, dur = 0, name = "and"},  
            {start =  4585.941, out = 5102.585, dur = 0, name = "square."},  
       } 
       local speak_283 =  display.newImageRect( imgDir.. "kAudio.png", 30, 30 ); 
       speak_283.x = 64; speak_283.y = 93  
       speak_283.alpha = 0  

       local b_text, text = syncSound.addSentence{ x = 79, y = 63, padding = 10, sentence=kwk_readMeFile, sentenceDir="audio", line=text_txt, button=speak_283, font=native.systemFont, fontColor = {217, 217, 217}, fontSize = 36, fontColorHi = {0, 0, 0}, fadeDuration = 500, wordTouch = false, readDir="leftToRight", channel=1} 
       menuGroup:insert(text) 
       menuGroup.text = text 

       timer.performWithDelay( 0, function() 
         syncSound.saySentence{sentence=kwk_readMeFile,line=text_txt, button=b_text} 
       end) 

 
       -- Group(s) creation 

       -- (MIDDLE) External code will render here 
 
       -- Physics 
       physics.setScale = 30 
       physics.setGravity(0, 9.8) 
       physics.setDrawMode("normal") 
 
       -- Create virtual walls 
       local wT = display.newRect(0,-1,_W,0) 
       physics.addBody(wT, "static") 
       local wB = display.newRect(0,_H+1,_W,_H+1) 
       physics.addBody(wB, "static") 
       local wL = display.newRect(-1,-1,0,_H) 
       physics.addBody(wL, "static") 
       local wR = display.newRect(_W+1,0,_W+1,_H) 
       physics.addBody(wR, "static") 

       physics.addBody(ball, "dynamic", {density=0.3, friction=0.1, bounce=0.8, radius=54}) 
       ball.myName = "ball" 
       physics.addBody(square, "dynamic", {density=0.5, friction=0.3, bounce=0.9}) 
       square.myName = "square" 

       local rampShape= {-191,90,-191,-87,188,90,-191,90} 
       physics.addBody(ramp, "static", {density=1.0, friction=0.3, bounce=0.2, shape=rampShape }) 
       ramp.myName = "ramp" 
       square:applyForce(2.75, 2.75, square.x, square.y) 
       ball:applyForce(2.75, 2.75, ball.x, ball.y) 
 
       -- Drag objects 
       MultiTouch.activate( ball, "move", "single"  ) 
       local function ballDrag (event ) 
          if event.phase == "moved" then  
          elseif event.phase == "ended" then  
          end  
       end 
       ball:addEventListener( MultiTouch.MULTITOUCH_EVENT, ballDrag ) 
       MultiTouch.activate( square, "move", "single"  ) 
       local function squareDrag (event ) 
          if event.phase == "moved" then  
          elseif event.phase == "ended" then  
          end  
       end 
       square:addEventListener( MultiTouch.MULTITOUCH_EVENT, squareDrag ) 

       -- Button event listeners 
       local function onkwkNavEvent() 
          navBtn() 
       end 
       kwkNav:addEventListener("tap", onkwkNavEvent ) 
       local function onkwkBackEvent() 
          backBtn() 
       end 
       kwkBack:addEventListener("tap", onkwkBackEvent ) 
       local function onkwkNextEvent() 
          nextBtn() 
       end 
       kwkNext:addEventListener("tap", onkwkNextEvent ) 

       -- Button functions 
       function navBtn (event) 
           if (navGroup.x<0) then 
              Navigation.show() 
           else  
              Navigation.hide() 
           end 
       end 

       function backBtn (event) 
            local myClosure_switch = function() 
                dispose(); director:changeScene( "page_1", "moveFromLeft" ) 
            end 
            timerStash.newTimer_684 = timer.performWithDelay(0, myClosure_switch, 1) 
       end 

       function nextBtn (event) 
            local myClosure_switch = function() 
                dispose(); director:changeScene( "page_3", "moveFromRight" ) 
            end 
            timerStash.newTimer_684 = timer.performWithDelay(0, myClosure_switch, 1) 
       end 


       -- do not swipe this page 

       -- (BOTTOM) External code will render here 


    end 
    drawScreen() 

    dispose = function (event) 
       audio.stop(1); audio.dispose(kwk_readMeFile); kwk_readMeFile = nil 
    end 

    return menuGroup 
end 
