-- Code created by Kwik - Copyright: kwiksher.com 
-- Version: 2.beta4a 
module(..., package.seeall) 

function new() 
    local numPages = 3 
    local menuGroup = display.newGroup() 
    local dispose 
    local _W = 1024 
    local _H = 768 

    -- Audio callings 
    local blah =  audio.loadSound( audioDir.."blah.mp3") 
    local yawn =  audio.loadSound( audioDir.."yawn.mp3") 
    local kwk_readMeFile = audio.loadStream( audioDir.."page3.mp3" ) 


    local drawScreen = function() 

       -- (TOP) External code will render here 

       local curPage = 3 

       Navigation.new("page", { backColor = {255, 255, 255}, totPages = numPages, curPage = curPage, thumbW = 120, thumbH = 90, alpha = 0.8, imageDir = imgDir, dire = "top", audio={{ 1, "blah"},{ 2, "yawn"},{ 3, "kwk_readMeFile"},} } ) 
       Navigation.hide() 

       if (_G.kBookmark == 1) then 
          local path = system.pathForFile( "book.txt", system.DocumentsDirectory ) 
          local file = io.open( path, "w+" ) 
          file:write ( curPage.."\n1" ) 
          io.close( file ) 
       end 

        if (_G.kAutoPlay > 0) then 
          local function act_autoPlay (event) 
             if(curPage < numPages) then 
                if(_G.kBidi == false) then  
                   dispose(); director:changeScene( "page_"..curPage+1, "moveFromRight" ) 
                else  
                   dispose(); director:changeScene( "page_"..curPage-1, "moveFromLeft" ) 
                end  
             end 
          end 
          timerStash.timer_AP = timer.performWithDelay( _G.kAutoPlay*1000, act_autoPlay, 1 ) 
       end 

        local bg  
       local bored  
       local talker  
       local text  
       local kwkBack  
       local kwkNav  

       -- Button names 
       local boredBtn
       local talkBtn
       local backBtn
       local navBtn

       -- bg positioning 
       bg = display.newImageRect( imgDir.. "p3_bg.png", 1024, 768 ); 
       bg.x = 512; bg.y = 384; bg.alpha = 1; bg.oldAlpha = 1 
       menuGroup:insert(bg); menuGroup.bg = bg 

       -- bored positioning 
       local bored_options = { 
           -- created with TexturePacker (http://www.texturepacker.com)
           frames = {
             
               { x=746, y=2, width=246, height=458 }, -- bored0001
               { x=498, y=2, width=246, height=458 }, -- bored0002
               { x=250, y=462, width=246, height=458 }, -- bored0003
               { x=250, y=2, width=246, height=458 }, -- bored0004
               { x=2, y=462, width=246, height=458 }, -- bored0005
               { x=2, y=2, width=246, height=458 }, -- bored0006
           },
    
           sheetContentWidth = 994,
           sheetContentHeight = 922
 
       } 
       bored_sheet = graphics.newImageSheet( imgDir.. "bored.png", bored_options ) 
       bored_seq = { name = "and1343", start = 1, count = 6, time = 1000, loopCount = 1, loopDirection = "forward" }; 
       bored = display.newSprite(bored_sheet, bored_seq ) 
       bored:pause(); 
       bored.x = 737; bored.y = 547; bored.alpha = 1; bored.oldAlpha = 1 
       menuGroup:insert(bored); menuGroup.bored = bored 

       -- talker positioning 
       local talker_options = { 
           -- created with TexturePacker (http://www.texturepacker.com)
           frames = {
             
               { x=324, y=474, width=320, height=470 }, -- talker0001
               { x=646, y=2, width=320, height=470 }, -- talker0002
               { x=324, y=2, width=320, height=470 }, -- talker0003
               { x=2, y=474, width=320, height=470 }, -- talker0004
               { x=2, y=2, width=320, height=470 }, -- talker0005
           },
    
           sheetContentWidth = 968,
           sheetContentHeight = 946
 
       } 
       talker_sheet = graphics.newImageSheet( imgDir.. "talker.png", talker_options ) 
       talker_seq = { name = "and1343", start = 1, count = 5, time = 3000, loopCount = 0, loopDirection = "bounce" }; 
       talker = display.newSprite(talker_sheet, talker_seq ) 
       talker:play(); 
       talker.x = 330; talker.y = 536; talker.alpha = 1; talker.oldAlpha = 1 
       menuGroup:insert(talker); menuGroup.talker = talker 

       -- text positioning 
       local text_txt = { 
            {start =  69.66, out = 203.175, dur = 0, name = "Here"},  
            {start =  203.175, out = 464.399, dur = 0, name = "are"},  
            {start =  464.399, out = 1015.873, dur = 0, name = "sprites."},  
            {start =  1346.757, out = 1457.052, dur = 0, name = "One"},  
            {start =  1457.052, out = 1642.812, dur = 0, name = "is"},  
            {start =  1642.812, out = 1927.256, dur = 0, name = "always"},  
            {start =  1927.256, out = 2461.315, dur = 0, name = "moving,"},  
            {start =  2710.93, out = 2832.834, dur = 0, name = "the"},  
            {start =  2832.834, out = 2972.154, dur = 0, name = "other"},  
            {start =  2972.154, out = 3152.109, dur = 0, name = "one"},  
            {start =  3152.109, out = 3314.649, dur = 0, name = "will", newline = true},  
            {start =  3314.649, out = 3720.998, dur = 0, name = "move"},  
            {start =  3720.998, out = 3813.878, dur = 0, name = "when"},  
            {start =  3813.878, out = 3889.342, dur = 0, name = "the"},  
            {start =  3889.342, out = 4220.227, dur = 0, name = "user"},  
            {start =  4220.227, out = 4452.426, dur = 0, name = "taps"},  
            {start =  4452.426, out = 4562.721, dur = 0, name = "on"},  
            {start =  4562.721, out = 4777.506, dur = 0, name = "it."},  
            {start =  5224.49, out = 5462.494, dur = 0, name = "Both"},  
            {start =  5462.494, out = 5683.084, dur = 0, name = "play"},  
            {start =  5683.084, out = 5967.528, dur = 0, name = "sound"},  
            {start =  5967.528, out = 6124.263, dur = 0, name = "when"},  
            {start =  6124.263, out = 6629.297, dur = 0, name = "tapped."},  
       } 
       local speak_078 =  display.newImageRect( imgDir.. "kAudio.png", 30, 30 ); 
       speak_078.x = 52; speak_078.y = 95  
       speak_078.alpha = 0  

       local b_text, text = syncSound.addSentence{ x = 67, y = 65, padding = 10, sentence=kwk_readMeFile, sentenceDir="audio", line=text_txt, button=speak_078, font=native.systemFont, fontColor = {217, 217, 217}, fontSize = 30, fontColorHi = {0, 0, 0}, fadeDuration = 500, wordTouch = false, readDir="leftToRight", channel=1} 
       menuGroup:insert(text) 
       menuGroup.text = text 

       timer.performWithDelay( 0, function() 
         syncSound.saySentence{sentence=kwk_readMeFile,line=text_txt, button=b_text} 
       end) 


       -- kwkBack positioning 
       kwkBack = display.newImageRect( imgDir.. "kwkback.png", 112, 107 ); 
       kwkBack.x = 69; kwkBack.y = 702; kwkBack.alpha = 1; kwkBack.oldAlpha = 1 
       menuGroup:insert(kwkBack); menuGroup.kwkBack = kwkBack 

       -- kwkNav positioning 
       kwkNav = display.newImageRect( imgDir.. "kwknav.png", 232, 80 ); 
       kwkNav.x = 539; kwkNav.y = 721; kwkNav.alpha = 1; kwkNav.oldAlpha = 1 
       menuGroup:insert(kwkNav); menuGroup.kwkNav = kwkNav 
 
       -- Group(s) creation 

       -- (MIDDLE) External code will render here 

       -- Button event listeners 
       local function onboredEvent() 
          boredBtn() 
       end 
       bored:addEventListener("tap", onboredEvent ) 
       local function ontalkerEvent() 
          talkBtn() 
       end 
       talker:addEventListener("tap", ontalkerEvent ) 
       local function onkwkBackEvent() 
          backBtn() 
       end 
       kwkBack:addEventListener("tap", onkwkBackEvent ) 
       local function onkwkNavEvent() 
          navBtn() 
       end 
       kwkNav:addEventListener("tap", onkwkNavEvent ) 

       -- Button functions 
       function boredBtn (event) 
           bored:play() 
           audio.play ( yawn, {channel=2, loops = 0 } ) 
       end 

       function talkBtn (event) 
           audio.play ( blah, {channel=1, loops = 0 } ) 
       end 

       function backBtn (event) 
            local myClosure_switch = function() 
                dispose(); director:changeScene( "page_2", "moveFromLeft" ) 
            end 
            timerStash.newTimer_834 = timer.performWithDelay(0, myClosure_switch, 1) 
       end 

       function navBtn (event) 
           if (navGroup.x<0) then 
              Navigation.show() 
           else  
              Navigation.hide() 
           end 
       end 


       -- do not swipe this page 
       function cleanSprite() 
                           bored_sheet = nil 
                    talker_sheet = nil 
 
       end 

       -- (BOTTOM) External code will render here 


    end 
    drawScreen() 
       function clean() 
          cleanSprite() 
       end 

    dispose = function (event) 
       audio.stop(1); audio.dispose(blah); blah = nil 
       audio.stop(2); audio.dispose(yawn); yawn = nil 
       audio.stop(3); audio.dispose(kwk_readMeFile); kwk_readMeFile = nil 
    end 

    return menuGroup 
end 
